{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Новости</h2>
    <hr>
    <form method="post" action="" enctype= "multipart/form-data">
        <div class="form-group">
            <label for="inputdefault">Заголовок:</label>
            <input class="form-control" id="inputdefault" type="text" name="title" value="">
        </div>
        <div class="form-group">
            <img id="uploadPreview0" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать лицевое изображение<input id="uploadImage0" type="file" name="img0" style="display: none;" onchange="PreviewImage0();">
            </label>
        </div>
        <div class="form-group">
            <p>Категория:</p>
            <select class="form-control" name="category">
                {% for category in categories %}
                    <option value="{{ category.id }}">{{ category.title }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="form-group">
            <label for="comment">Краткое описание:</label>
            <textarea class="form-control" rows="5" id="comment" name="description"></textarea>
        </div>
        <div class="form-group">
            <img id="uploadPreview1" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать изображение 1<input id="uploadImage1" type="file" name="img1" style="display: none;" onchange="PreviewImage1();">
            </label>
        </div>
        <div class="form-group">
            <label for="comment">Текст 1:</label>
            <textarea class="form-control" rows="10" id="comment" name="text1"></textarea>
        </div>
        <div class="form-group">
            <img id="uploadPreview2" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать изображение 2<input id="uploadImage2" type="file" name="img2" style="display: none;" onchange="PreviewImage2();">
            </label>
        </div>
        <div class="form-group">
            <label for="comment">Текст 2:</label>
            <textarea class="form-control" rows="10" id="comment" name="text2"></textarea>
        </div>
        <div class="form-group">
            <img id="uploadPreview3" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать изображение 3<input id="uploadImage3" type="file" name="img3" style="display: none;" onchange="PreviewImage3();">
            </label>
        </div>
        <div class="form-group">
            <label for="comment">Текст 3:</label>
            <textarea class="form-control" rows="10" id="comment" name="text3"></textarea>
        </div>
        <div class="form-group">
            <img id="uploadPreview4" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать изображение 4<input id="uploadImage4" type="file" name="img4" style="display: none;" onchange="PreviewImage4();">
            </label>
        </div>
        <div class="form-group">
            <label for="comment">Текст 4:</label>
            <textarea class="form-control" rows="10" id="comment" name="text4"></textarea>
        </div>
        <div class="form-group">
            <img id="uploadPreview5" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать изображение 5<input id="uploadImage5" type="file" name="img5" style="display: none;" onchange="PreviewImage5();">
            </label>
        </div>
        <div class="form-group">
            <label for="comment">Текст 5:</label>
            <textarea class="form-control" rows="10" id="comment" name="text5"></textarea>
        </div>
        <div class="form-group">
            <label for="inputdefault">Рейтинг:</label>
            <input class="form-control" id="inputdefault" type="text" name="rate" value="0">
        </div>
        <div class="form-group">
            <label for="inputDate">Дата добавления:</label>
            <input type="date" class="form-control" name="date">
        </div>

        <div class="col-md-4">
            <div class="form-group">
                <hr>
                <button type="submit" class="btn btn-primary btn-md btn-block" name="add">Добавить</button>
            </div>
        </div>
    </form>

    <script>
        function PreviewImage0() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage0").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview0").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
        function PreviewImage1() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage1").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview1").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
        function PreviewImage2() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage2").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview2").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
        function PreviewImage3() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage3").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview3").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
        function PreviewImage4() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage4").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview4").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
        function PreviewImage5() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage5").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview5").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
    </script>

{% endblock %}